CREATE TABLE hwr_qrtz_triggers (
    TRIGGER_NAME         VARCHAR2(1024),
    TRIGGER_GROUP        VARCHAR2(320) ,
    JOB_NAME             VARCHAR2(1024)    NOT NULL,
    JOB_GROUP            VARCHAR2(320)     NOT NULL,
    IS_VOLATILE          VARCHAR2(4)       NOT NULL,
    DESCRIPTION          VARCHAR2(480) ,
    NEXT_FIRE_TIME       NUMBER(13, 0) ,
    PREV_FIRE_TIME       NUMBER(13, 0) ,
    PRIORITY             NUMBER(13, 0) ,
    TRIGGER_STATE        VARCHAR2(64)      NOT NULL,
    TRIGGER_TYPE         VARCHAR2(32)      NOT NULL,
    START_TIME           NUMBER(13, 0)     NOT NULL,
    END_TIME             NUMBER(13, 0) ,
    CALENDAR_NAME        VARCHAR2(320) ,
    MISFIRE_INSTR        NUMBER(2, 0)  ,
    JOB_DATA             BLOB          ,
    CREATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)     NOT NULL,
    CREATION_DATE        TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128) ,
    LAST_UPDATE_DATE     TIMESTAMP(6)      NOT NULL,
    TRIGGER_NAME         VARCHAR2(1024),
    TRIGGER_GROUP        VARCHAR2(320) ,
    JOB_NAME             VARCHAR2(1024)    NOT NULL,
    JOB_GROUP            VARCHAR2(320)     NOT NULL,
    IS_VOLATILE          VARCHAR2(4)       NOT NULL,
    DESCRIPTION          VARCHAR2(480) ,
    NEXT_FIRE_TIME       NUMBER(13, 0) ,
    PREV_FIRE_TIME       NUMBER(13, 0) ,
    PRIORITY             NUMBER(13, 0) ,
    TRIGGER_STATE        VARCHAR2(64)      NOT NULL,
    TRIGGER_TYPE         VARCHAR2(32)      NOT NULL,
    START_TIME           NUMBER(13, 0)     NOT NULL,
    END_TIME             NUMBER(13, 0) ,
    CALENDAR_NAME        VARCHAR2(320) ,
    MISFIRE_INSTR        NUMBER(2, 0)  ,
    JOB_DATA             BLOB          ,
    CREATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)     NOT NULL,
    CREATION_DATE        TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128) ,
    LAST_UPDATE_DATE     TIMESTAMP(6)      NOT NULL,
    CONSTRAINT pk_hwr_qrtz_triggers PRIMARY KEY (TRIGGER_NAME, TRIGGER_GROUP, TRIGGER_NAME, TRIGGER_GROUP)
);
